%define name	easychem
%define version	0.6
%define release %mkrel 8

Name: 	 	%{name}
Summary: 	2D molecular drawing program
Version: 	%{version}
Release: 	%{release}

Source:		http://puzzle.dl.sourceforge.net/sourceforge/easychem/%{name}-%{version}.tar.bz2
Patch0:		easychem-0.6-link.patch
URL:		http://easychem.sourceforge.net/
License:	GPL
Group:		Sciences/Chemistry
BuildRequires:	gtk2-devel

%description
EasyChem is a program designed to draw chemical molecules.  The problem in all
existing programs is: they intend to be easy to use at first try, kind of a
quick-and-dirty approach. EasyChem would be a bit difficult to learn, but when
you master it, you can be very fast, and with a huge precision. In fact, it's
just like a specialized vectorial drawing tool.

%prep
%setup -q
%patch0 -p0

%build
%__make -f Makefile.linux CC="gcc %optflags %ldflags"
										
%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=EasyChem
Comment=2D Molecule Editor
Exec=%{_bindir}/%{name} 
Icon=chemistry_section
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

%files
%doc COPYING
%{_bindir}/%name
%{_datadir}/applications/mageia-%{name}.desktop


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.6-8.mga3
+ Revision: 349258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.6-7.mga3
+ Revision: 328046
- apply patch
- fix linkage

* Mon Sep 19 2011 fwang <fwang> 0.6-6.mga2
+ Revision: 145290
- rebuild

* Sat May 14 2011 dmorgan <dmorgan> 0.6-5.mga2
+ Revision: 98735
- imported package easychem

